html {
    background-color: white;
    overflow: hidden;
    font-family: Arial, 'Helvetica', sans-serif;
}
body {
    width: 98vw;
    height: 98vh;
}
h1 {
    font-style: italic;
    text-align: center;
    position: absolute;
    top: 30%;
    left: 55%;
    transform: translate(-50%,-50%);
    font-size: 4vh;
    font-weight: bolder;
    width: 95vw;
    height: auto;
}
form {
    width: 60vw;
    height: 30vh;
    position: absolute;
    top: 70%;
    left: 50%;
    padding: 5vh;
    transform: translate(-50%,-50%);
    display: grid;
    grid-template-columns: repeat(3, 33.33% );
    grid-template-rows: repeat(3, 10vh);
    font-size: 2vh;
}
label {
    justify-content: center;
    text-align: center;
    font-size: 3vh;
}
label[for=name] {
    grid-column-start: 1;
    grid-row-start: 1;
    
}
label[for=mdp] {
    grid-column-start: 1;
    grid-row-start: 2;    
}

input[type=text] {
    height: 50%;
    grid-column-start: 2;
    grid-column-end: 4;
    border: 0.2vh solid black;
    background-color: rgba(128, 128, 128, 0.424);
    
}
input[type=password] {
    height: 50%;
    grid-column-start: 2;
    grid-column-end: 4;
    background-color: rgba(128, 128, 128, 0.424);
    
    
}
input[type=submit] {
    font-size: 2vh;
    grid-column-start: 2;
    height: 50%;
    width: 75%;
    border-radius: 0%;

}

/******************************/
/******************************/
/******************************/

@media screen and (min-width: 200px) and (max-width: 640px){
    
    html {
        background-color: white;
        overflow: hidden;
        font-family: Arial, 'Helvetica', sans-serif;
    }
    body {
        width: auto;
        height: auto;
    }
    h1 {
        font-style: italic;
        text-align: center;
        position: absolute;
        top: 10%;
        left: 55%;
        transform: translate(-50%,-50%);
        font-size: 2vh;
        font-weight: bolder;
        width: 95vw;
        height: auto;
    }
    form {
        width: 60vw;
        height: 30vh;
        position: absolute;
        top: 40%;
        left: 50%;
        padding: 5vh;
        transform: translate(-50%,-50%);
        display: grid;
        grid-template-columns: repeat(3, 33.33% );
        grid-template-rows: repeat(3, 10vh);
        font-size: 2vh;
    }
    label {
        justify-content: center;
        text-align: center;
        font-size: 3vh;
    }
    label[for=name] {
        font-size: 2vh;
        margin-left: -50%;
        grid-column-start: 1;
        grid-row-start: 1;
        
    }
    label[for=mdp] {
        font-size: 2vh;
        margin-top: 20%;
        margin-left: -50%;
        grid-column-start: 1;
        grid-row-start: 2;    
    }
    
    input[type=text] {
        height: 50%;
        grid-column-start: 2;
        grid-column-end: 4;
        border: 0.2vh solid black;
        background-color: rgba(128, 128, 128, 0.424);
        
    }
    input[type=password] {
        height: 50%;
        grid-column-start: 2;
        grid-column-end: 4;
        background-color: rgba(128, 128, 128, 0.424);
    
    
    }
    input[type=submit] {
        font-size: 1.5vh;
        grid-column-start: 2;
        height: 50%;
        width: 100%;
        border-radius: 0%;
    
    }
    
}

